import { Catch } from '@midwayjs/core';
import { Context } from '@midwayjs/koa';
import { ServiceError } from '../error/service.error';

@Catch(ServiceError)
export class CustomErrorFilter {
  async catch(err: Error, ctx: Context) {
    // 所有的未分类错误会到这里
    const result: any = {
      errcode: err['code'],
      errmsg: err.message,
    };
    if (process.env.NODE_ENV !== 'production') {
      result.details = err.stack;
    }
    return result;
  }
}
